/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.fw.batch.springsupport.transaction;

import jp.terasoluna.fw.batch.core.JobStatus;
import jp.terasoluna.fw.batch.openapi.BLogicResult;
import jp.terasoluna.fw.batch.standard.StandardSupportLogicResultHandler;

/**
 * gUNVs <code>SupportLogicResultHandler</code> C^tF
 * [X̎NXB
 * 
 * <p><code>BLogicResult</code> ̃^[R[hɉāAgUNV
 * iR~bgA[obNjsBgUNVԂ́A
 * <code>{@link TransactionalJobStatus}<code> ɕێĂB</p>
 * 
 * <p><code>BLogicResult</code> ̃^[R[hƂ <code>ERROR_END</code> 
 * Ԃꂽꍇɂ́As̃gUNV[obNB</p>
 * 
 * <p><strong>̏̓Z[u|Cg𗘗pĂ邩ǂɂ炸sB
 * </strong></p>
 * 
 */
public class TransactionalSupportLogicResultHandler 
    extends StandardSupportLogicResultHandler {

    /**
     * <code>BLogicResult</code> ̃^[R[h <code>ERROR_END</code> 
     * Ƃ̏sB
     *
     * <p>gUNV[obNAeNX̏ĂяoB</p>
     *
     * @param jobStatus WuXe[^X
     * @param blogicResult rWlXWbN
     * @param name T|[g
     */
    @Override
    protected void processErrorEnd(JobStatus jobStatus, 
            BLogicResult blogicResult, String name) {
        TransactionalJobStatus transactionalJobStatus = 
            (TransactionalJobStatus) jobStatus;
        // [obN
        transactionalJobStatus.rollback();
    
        super.processErrorEnd(jobStatus, blogicResult, name);
    }
}
